Package org.apache.synapse.commons.staxon.core.json.stream

## Enum JsonStreamToken

- java.lang.Object
- - java.lang.Enum<JsonStreamToken>
  - - org.apache.synapse.commons.staxon.core.json.stream.JsonStreamToken

- All Implemented Interfaces:
    `Serializable`, `Comparable<JsonStreamToken>`

      public enum JsonStreamToken
      extends Enum<JsonStreamToken>

  JSON stream token.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `END_ARRAY` | End array
    `END_OBJECT` | End object
    `NAME` | Field name
    `NONE` | End of input
    `START_ARRAY` | Start array
    `START_OBJECT` | Start object
    `VALUE` | Simple value

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JsonStreamToken` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static JsonStreamToken[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START_OBJECT

          public static final JsonStreamToken START_OBJECT

      Start object

    - #### END_OBJECT

          public static final JsonStreamToken END_OBJECT

      End object

    - #### START_ARRAY

          public static final JsonStreamToken START_ARRAY

      Start array

    - #### END_ARRAY

          public static final JsonStreamToken END_ARRAY

      End array

    - #### NAME

          public static final JsonStreamToken NAME

      Field name

    - #### VALUE

          public static final JsonStreamToken VALUE

      Simple value

    - #### NONE

          public static final JsonStreamToken NONE

      End of input

  - ### Method Detail

    - #### values

          public static JsonStreamToken[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JsonStreamToken c : JsonStreamToken.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JsonStreamToken valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null